(use-package powerline
  :ensure t
  ;;:disabled
  :after tab-line
  :config
  ;;(global-tab-line-mode t)
  (defvar my/tab-height 22)
  (defvar my/tab-left (powerline-wave-right 'tab-line nil my/tab-height))
  (defvar my/tab-right (powerline-wave-left nil 'tab-line my/tab-height))

  (defun my/tab-line-tab-name-buffer (buffer &optional _buffers)
    (powerline-render (list my/tab-left
                            (format "%s" (buffer-name buffer))
;;                            my/tab-right
			    )))
  
  
  (setq tab-line-tab-name-function  #'my/tab-line-tab-name-buffer)
  (setq tab-line-close-button (powerline-render
			       (list #(" ")
				#(" x" 0 2
				      (display
				       (image :type xpm :file "tabs/close.xpm" :margin
					      (2 . 0)
					      :ascent center)
				       keymap
				       (keymap
					(tab-line keymap
						  (mouse-2 . tab-line-close-tab)
						  (mouse-1 . tab-line-close-tab)))
				       mouse-face tab-line-close-highlight help-echo "Click to close tab"))
				    
				     my/tab-right
				     )))
  (setq tab-line-new-button-show nil)  ;; do not show add-new button
  ;;(setq tab-line-close-button-show nil)  ;; do not show close button

  (setq tab-line-separator "")  ;; set it to empty
  ;; tab color settings
  ;; (set-face-attribute 'tab-line nil ;; background behind tabs
  ;;       :background "gray40"
  ;;       :foreground "gray60" :distant-foreground "gray50"
  ;; :height 1.0 :box nil)
  (set-face-attribute 'tab-line-tab nil ;; active tab in another window
		      :inherit 'tab-line
		      :foreground "gray70" :background "gray90" :box nil)
  (set-face-attribute 'tab-line-tab-current nil ;; active tab in current window
		      :background "gray40" :foreground "white" :box nil)

  (set-face-attribute 'tab-line-tab-inactive nil ;; inactive tab
		      :background "gray60" :foreground "black" :box nil)
  (set-face-attribute 'tab-line-highlight nil ;; mouseover
		      :background "white" :foreground 'unspecified)
  )
