(use-package vterm
  :ensure t
  ;;:disabled
  :defer
  :bind
  ("C-c o t" . vterm-toggle)
  (:map project-prefix-map
        ("t" . project-vterm))
  :preface
  (defun project-vterm ()
    (interactive)
    (defvar vterm-buffer-name)
    (let* ((default-directory (project-root     (project-current t)))
           (vterm-buffer-name (project-prefixed-buffer-name "vterm"))
           (vterm-buffer (get-buffer vterm-buffer-name)))
      (if (and vterm-buffer (not current-prefix-arg))
          (pop-to-buffer vterm-buffer  (bound-and-true-p display-comint-buffer-action))
	(vterm))))
  :init
  (setq vterm-always-compile-module t)
  (add-to-list 'project-switch-commands     '(project-vterm "Vterm") t)
  (add-to-list 'project-kill-buffer-conditions  '(major-mode . vterm-mode))
  :config
  (add-to-list 'display-buffer-alist
	       '("\*vterm\*"
		 (display-buffer-in-side-window)
		 (window-height . 0.25)
		 (side . bottom)
		 (slot . 0))))

(use-package vterm-toggle
  :ensure t
  ;;:disabled
  :after (vterm))

(use-package multi-vterm
  :ensure t
  ;;:disabled
  :bind
  ("C-c t n" . multi-vterm))
